package sun.management.snmp.jvminstr;

import com.sun.jmx.snmp.SnmpStatusException;
import sun.management.snmp.jvmmib.JvmMemMgrPoolRelEntryMBean;

public class JvmMemMgrPoolRelEntryImpl implements JvmMemMgrPoolRelEntryMBean
{
    protected final int JvmMemManagerIndex;
    protected final int JvmMemPoolIndex;
    protected final String mmmName;
    protected final String mpmName;
    
    public JvmMemMgrPoolRelEntryImpl(String mmmName, String mpmName, int jvmMemManagerIndex, int jvmMemPoolIndex) {
        this.JvmMemManagerIndex = jvmMemManagerIndex;
        this.JvmMemPoolIndex = jvmMemPoolIndex;
        this.mmmName = mmmName;
        this.mpmName = mpmName;
    }
    
    public String getJvmMemMgrRelPoolName() throws SnmpStatusException {
        return JVM_MANAGEMENT_MIB_IMPL.validJavaObjectNameTC(this.mpmName);
    }
    
    public String getJvmMemMgrRelManagerName() throws SnmpStatusException {
        return JVM_MANAGEMENT_MIB_IMPL.validJavaObjectNameTC(this.mmmName);
    }
    
    public Integer getJvmMemManagerIndex() throws SnmpStatusException {
        return new Integer(this.JvmMemManagerIndex);
    }
    
    public Integer getJvmMemPoolIndex() throws SnmpStatusException {
        return new Integer(this.JvmMemPoolIndex);
    }
}
